/*
This is an Ozeki Analog Sensor Module example code.

This code reads all 5 analog ports
and writes their value out to the serial port.
Their value can go from 0 to 1023 depending on the imput.
If the input voltage is 0V then the digital value of it is 0,
but if the input voltage is 5V the digital value of it is 1023.
The value changes gradually from 0 to 1023 between 0 an 5V.
*/

int analog_portnumber;

void setup()
{
  Serial.begin(115200);
  Serial.println("Shows all ADC port (A0-A5) value from 0 to 1023.");

  for (int i = 14; i < 20; i++) {
    pinMode(i, INPUT);
  }
}

void loop()
{
  for (int i = 14; i < 20; i++) {
    analog_portnumber = (i - 14);

    Serial.print("A");
    Serial.print(analog_portnumber);
    Serial.print("=");
    Serial.print(analogRead(i));
    Serial.print(" ");
  }
  Serial.println();
}
